Gluing:
  type: object
  properties:
    id:
      type: integer
      description: ID товара
      example: 1
    name:
      type: string
      description: Название товара
      example: "Яблочный сок"
    code:
      type: string
      description: ЧПУ код товара
      example: "steyk-miratorg-ribay-ohlazhdennyy-320-g"
    props:
      type: array
      items:
        description: Значения атрибутов склейки
        $ref: '#/GluingProperty'
  required:
    - id
    - name
    - code
    - props

GluingProperty:
  type: object
  properties:
    prop_type:
      type: string
      description: Тип атрибута
      example: "color"
    prop_name:
      type: string
      description: Название атрибута на витрине
      example: "Цвет"
    prop_code:
      type: string
      description: Код атрибута
      example: "color"
    value_value:
      type: string
      description: Значение атрибута
      example: "#ff0000"
    value_name:
      type: string
      description: Название значения атрибута
      nullable: true
      example: "Красный"
  required:
    - prop_type
    - prop_name
    - prop_code
    - value_value
    - value_name
